Subject: Re: [bug#78332] GCD005: Regular and efficient releases (submitted)

From: Greg Hogan <[email-masked]>
Date: Mon, 30 Jun 2025 11:37:15 -0400

On Mon, Jun 30, 2025 at 9:33 AM Ludovic Courtès <[email-masked]> wrote:
>
> Hi Greg,
>
> Greg Hogan <[email-masked]> writes:
>
> > My opinions on the project release cadence are of no greater
> > consequence than the update frequency or inclusion of any individual
> > package by a contributor or team. Most of this GCD can simply be
> > merged into the project documentation, which can then be updated with
> > a new commit rather than requiring a new GCD. By codifying an annual
> > release process we actually restrict the number of releases! And what
> > if the June deadline is missed? If these are mere guidelines then what
> > are we voting on?
>
> We’re deliberating on a release process.
>
> And I think that’s no small feat.  Previously, releases were handled by
> long-time contributors; some of the process is documented but most of it
> is insider knowledge.  Overall it was arguably not very legible,
> particularly the “when” and the “what”.
>
> I believe this GCD clarifies all this, meaning that contributors more
> clearly know what to expect and how to contribute.
>
> Thanks,
> Ludo’.

Hi Ludo',

I would have argued for keeping GCDs focused on significant project
changes as outlined in GCD 001, but I can appreciate the desire to
also use the visibility of the GCD process to discuss other important
processes and documentation updates. Since non-significant changes do
not require a new GCD, we can adjust and improve upon the ideas from
GCD 005 without necessarily going through this process again.

Greg